View method response body

Prev Next

Available in Classic and VPC

View the response body of a customized method.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /api/v1/products/{product-id}/apis/{api-id}/resources/{resource-id}/methods/{method-name}/responses/{status-code}/response-body

Request headers

For information about the headers common to all API Gateway APIs, see API Gateway request headers.

Request path parameters

The followinYou can use the following path parameters with your request:

Field Type Required Description
product-id String Required Product ID that the API belongs to
api-id String Required ID of the API whose response body you want to view
resource-id String Required ID of the target resource in the API
method-name String Required Target method type
  • ANY | GET | POST | PUT | DELETE | PATCH | OPTIONS | HEAD
status-code Integer Required Response status code

Request example

The following is a sample request.

curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/resources/tf73xuex0v/methods/GET/responses/400/response-body' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

The following describes the response format.

Response syntax

The response syntax is as follows.

{
  "modelId" : "modelId",
  "modelName" : "modelName",
  "bodyName" : "bodyName",
  "bodyDescription" : "bodyDescription"
}

Response status codes

For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.

Response example

The following is a sample response.

{
    "modelId": "qw33h0i33i",
    "modelName": "ApiKeyDto",
    "bodyName": "ApiKeyDto",
    "bodyDescription": "This is response body"
}